Subject: [alpine-aports] [PATCH] testing/eom: new aport

From: Alan Lacerda <[email-masked]>
Date: Wed, 6 May 2015 13:53:17 +0000

---
 testing/eom/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/eom/APKBUILD

diff --git a/testing/eom/APKBUILD b/testing/eom/APKBUILD
new file mode 100644
index 0000000..ef12a1e
--- /dev/null
+++ b/testing/eom/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer: Alan Lacerda <[email-masked]>
+pkgname=eom
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="A simple graphics viewer for the MATE"
+url="https://github.com/mate-desktop/eom"
+arch="all"
+license="GPLv2"
+depends="mate-icon-theme"
+depends_dev=""
+makedepends="$depends_dev glib-dev gtk+2.0-dev itstool mate-desktop-dev
+	libexif-dev lcms2-dev dconf-dev dbus-dev librsvg-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --sysconfdir=/etc \
+		--with-gtk=2.0 \
+                --prefix=/usr || return 1
+
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+        find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="e94b8cf8158fc8df0f9a829d536c328f  eom-1.9.90.tar.xz"
+sha256sums="ffc09183bdaeb313099ef807be185735ddf56c4aa48737e162e4305519367577  eom-1.9.90.tar.xz"
+sha512sums="b986b6a4780bfc569a921cd3f1e5e48c0f04812a3334d5218d82d64b8f2572703bf61b554eb4174143bf2ee598756f0496f35d8c90fece7b02dd22d5b37ff1c3  eom-1.9.90.tar.xz"
-- 
2.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---